import * as React from 'react';
interface UseAccordionProps {
    isControlled: boolean;
    isExpanded: boolean;
    setShouldBeVisible: (isVisible: boolean) => void;
    onOpen?: () => void;
    onClose?: () => void;
}
interface IUseAccordion {
    handleExpandChange: (isExpanded: boolean) => void;
    handleKeyDown: (event: React.KeyboardEvent<HTMLDivElement>) => void;
}
export declare const useAccordion: ({ isControlled, isExpanded, setShouldBeVisible, onOpen, onClose, }: UseAccordionProps) => IUseAccordion;
export {};
