export declare const AvatarSizes: readonly ["xxxsmall", "xxsmall", "xsmall", "small", "medium", "large", "xlarge", "xxlarge", "xxxlarge"];
export declare const AvatarStatuses: readonly ["available", "unavailable", "unknown"];
export declare const AvatarTypes: readonly ["image", "text"];
export declare const AvatarShapes: readonly ["circle", "rounded-square"];
export type AvatarSize = (typeof AvatarSizes)[number];
export type AvatarStatus = (typeof AvatarStatuses)[number];
export type AvatarType = (typeof AvatarTypes)[number];
export type AvatarShape = (typeof AvatarShapes)[number];
