import { ReactElement } from 'react';
import { IRangeDatePickerProps } from './types';

export declare const RangeDatePicker: {
    ({ options, initialSelectedItemKey, initialFromDate, initialToDate, customTempFromDate, customTempToDate, toMonth, today, onChange, onRangeSelect, onSelect, onCustomTempDateRangeChange, children, }: IRangeDatePickerProps): ReactElement;
    defaultProps: {
        options: {
            id: string;
            label: string;
            isManual: boolean;
            value: {
                from: undefined;
                to: undefined;
            };
        }[];
    };
};
