import { IRangeDatePickerProps, IRangeDatePickerState, IRangeDatePickerOption } from './types';

export declare const isDateWithinRange: (date: Date, range: {
    from?: Date;
    to?: Date;
}) => boolean;
export declare const calculateDatePickerMonth: (initialFromDate?: Date, initialToDate?: Date, toMonth?: Date) => Date;
export declare const getSelectedOption: (itemId: string | null, options?: IRangeDatePickerOption[]) => IRangeDatePickerOption | undefined;
export declare const isSelectingFirstDay: (from?: Date, to?: Date) => boolean;
export declare const getInitialStateFromProps: (props: IRangeDatePickerProps) => Partial<IRangeDatePickerState>;
