import * as React from 'react';
export interface FormGroupProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * The CSS class for container
     */
    className?: string;
    /**
     * Set form label
     */
    labelText?: string;
    /**
     * Set form description
     */
    helperText?: string;
}
export declare const FormGroup: React.FC<React.PropsWithChildren<FormGroupProps>>;
