import { Size } from '../../../utils';
import { PickerType, IPickerListItem } from '../types';
import * as React from 'react';
export interface ITriggerBodyProps {
    isOpen: boolean;
    isSearchDisabled?: boolean;
    isDisabled?: boolean;
    placeholder: string;
    searchPhrase?: string;
    selectedItems?: IPickerListItem[] | null;
    type: PickerType;
    clearSearchAfterSelection?: boolean;
    size?: Size;
    onItemRemove: (key: string) => void;
    onSelect: (key: string) => void;
    onFilter: (text: string) => void;
    onClear: () => void;
    virtualItemRef: React.MutableRefObject<HTMLElement | null>;
    isTriggerFocused: boolean;
    inputRef?: React.RefObject<HTMLInputElement>;
    inputProps?: React.InputHTMLAttributes<HTMLInputElement>;
}
export declare const PickerTriggerBody: React.FC<ITriggerBodyProps>;
