import { Env, ProductId, ProductName, ProductOption, ProductSubscription } from '../types';

export interface IProductSwitcherHook {
    env?: Env;
    installedProducts: {
        product: ProductName;
    }[];
    organizationId: string;
    subscriptions: ProductSubscription;
    mainProductId: ProductId;
}
export declare const useProductSwitcher: ({ env, installedProducts, subscriptions, organizationId, mainProductId, }: IProductSwitcherHook) => {
    products: ProductOption[];
};
