import { ProgressSize, ProgressStatus } from './constants';
import * as React from 'react';
export interface ProgressCircleProps {
    /**
     * The CSS class for container
     */
    className?: string;
    /**
     * Specify the value of current progress circle (0-100)
     */
    progressValue: number;
    /**
     * Specify the progress circle status
     */
    status?: ProgressStatus;
    /**
     * Specify the progress circle size
     */
    size?: ProgressSize;
}
export declare const ProgressCircle: React.ExoticComponent<ProgressCircleProps & React.RefAttributes<HTMLInputElement>>;
