import * as React from 'react';
export type StatusBadgeSizes = '3XS' | '2XS' | 'XS' | 'SM' | 'MD' | 'LG' | 'XL' | '2XL' | '3XL';
export interface IStatusBadgeProps extends React.HTMLAttributes<HTMLSpanElement> {
    /**
     * Specify the status badge kind
     */
    kind?: 'offline' | 'accept' | 'not-accept';
    /**
     * Specify the status badge size
     */
    size?: StatusBadgeSizes;
}
export declare const StatusBadge: React.FC<IStatusBadgeProps>;
