import { Column } from './types';

interface TableRowProps<T> {
    row: T;
    columns: Column<T>[];
    columnWidths: (number | undefined)[];
    selectable?: boolean;
    isSelected: (id: string | number) => boolean;
    toggleRowSelection: (id: string | number) => void;
    rowId: string | number;
}
export declare const TableRow: <T>({ row, columns, columnWidths, selectable, isSelected, toggleRowSelection, rowId, }: TableRowProps<T>) => import("react/jsx-runtime").JSX.Element;
export {};
