import * as React from 'react';
type ToastKind = 'success' | 'warning' | 'error' | 'info';
type ToastAction = {
    onClick: () => void;
    label: string;
    closesOnClick?: boolean;
};
export interface ToastProps extends React.HTMLAttributes<HTMLDivElement> {
    action?: ToastAction;
    className?: string;
    removable?: boolean;
    kind?: ToastKind;
    onClose?: () => void;
}
export declare const Toast: React.FC<React.PropsWithChildren<ToastProps>>;
export {};
