import * as React from 'react';
interface UseAnimationsProps {
    isVisible: boolean;
    elementRef: React.RefObject<HTMLDivElement>;
    includeSleepWakeScenario?: boolean;
}
export interface IUseAnimations {
    isOpen: boolean;
    isMounted: boolean;
    setShouldBeVisible: React.Dispatch<React.SetStateAction<boolean>>;
}
export declare const useAnimations: ({ isVisible, elementRef, includeSleepWakeScenario, }: UseAnimationsProps) => IUseAnimations;
export {};
