/**
 * Syncs the wake event with the visibility change event.
 * @param onWake The function to call when the wake event is triggered.
 * @param enabled Whether the sync should be enabled.
 */
export declare const useSleepWakeSync: (onWake: () => void, enabled: boolean) => void;
