import * as React from 'react';
interface AppFrameContextProps {
    isSideNavigationVisible: boolean;
    toggleSideNavigationVisibility: () => void;
    isMobileViewEnabled: boolean;
    setIsMobileViewEnabled: (isEnabled: boolean) => void;
}
export declare const useAppFrame: () => AppFrameContextProps;
interface AppFrameProviderProps {
    isSideNavigationVisible?: boolean;
    isMobileViewVisible?: boolean;
}
export declare const AppFrameProvider: React.FC<React.PropsWithChildren<AppFrameProviderProps>>;
export {};
