import { ComponentCoreProps } from '../../../../utils/types';
import * as React from 'react';
export interface IExpirationCounterProps extends ComponentCoreProps {
    /**
     * The ID of the item
     */
    id: string;
    /**
     * The number of days left
     */
    daysLeft: number;
    /**
     * The URL to navigate to
     */
    url?: string;
    /**
     * The function to call on click
     */
    onClick: (e: React.MouseEvent<HTMLAnchorElement>, id: string) => void;
}
export declare const ExpirationCounter: React.FC<IExpirationCounterProps>;
