import { IPickerListItem } from '../Picker';
import { AutoCompleteProps, IAutoCompleteListItem } from './types';

export declare const areAllOptionsStrings: (options: AutoCompleteProps["options"]) => options is string[];
export declare const buildOptionsFromStrings: (options: string[]) => IPickerListItem[];
export declare const buildOptionsFromAutoCompleteListItems: (options: IAutoCompleteListItem[]) => IPickerListItem[];
export declare const getFilteredPickerItems: (items: IPickerListItem[], single: boolean, hideIfExactMatch: boolean, inputValue: string) => IPickerListItem[];
