import { ButtonKind } from './types';
import * as React from 'react';
export declare const getSpinnerColors: (kind: ButtonKind) => Record<string, string> | undefined;
export declare const handleMouseInteraction: (event: React.MouseEvent<HTMLButtonElement> | React.MouseEvent<HTMLAnchorElement>, internalHandler: () => void, userHandler?: React.MouseEventHandler<HTMLButtonElement | HTMLAnchorElement>) => void;
export declare const handleKeyboardInteraction: (event: React.FocusEvent<HTMLButtonElement> | React.FocusEvent<HTMLAnchorElement>, internalHandler: () => void, userHandler?: React.FocusEventHandler<HTMLButtonElement | HTMLAnchorElement>) => void;
export declare const buttonRef: (node: HTMLSpanElement | null, internalHandler: (width: number) => void) => void;
