import * as React from 'react';
export interface FormProps extends React.HTMLAttributes<HTMLFormElement> {
    /**
     * Set form label
     */
    labelText?: string;
    /**
     * Set form description
     */
    helperText?: string;
    /**
     * Footer element
     */
    formFooter?: React.ReactNode;
}
export declare const Form: React.FC<React.PropsWithChildren<FormProps>>;
