import * as React from 'react';
interface IActionModalProps {
    /**
     * Optional element to render icon or image
     */
    icon?: React.ReactNode;
    /**
     * Set the header text
     */
    heading?: React.ReactNode;
    /**
     * Optional element to render action buttons
     */
    actions?: React.ReactNode;
    /**
     * The CSS class for main container
     */
    className?: string;
    /**
     * The CSS class for header container
     */
    headerClassName?: string;
    /**
     * The CSS class for content container
     */
    contentClassName?: string;
}
export declare const ActionModalContent: React.FC<React.PropsWithChildren<IActionModalProps>>;
export {};
