import { AvatarProps } from '../../Avatar';
import { IconProps } from '../../Icon';
import * as React from 'react';
export interface ModalHeaderProps {
    /**
     * Set the header title
     */
    title?: React.ReactNode;
    /**
     * Set to display the icon
     */
    iconProps?: IconProps;
    /**
     * Set to display avatar
     */
    avatarProps?: AvatarProps;
    /**
     * Children element
     */
    children?: React.ReactNode;
    /**
     * Define class name for container
     */
    className?: string;
}
export declare const ModalHeader: React.FC<React.PropsWithChildren<ModalHeaderProps>>;
