import { FC, PropsWithChildren, ReactNode, HTMLAttributes } from 'react';

export interface ModalPortalProps extends HTMLAttributes<HTMLDivElement> {
    children: ReactNode;
    zIndex: number;
    parentElementName?: string;
}
export declare const ModalPortal: FC<PropsWithChildren<ModalPortalProps>>;
