import * as React from 'react';
export type NumericInputProps = React.InputHTMLAttributes<HTMLInputElement> & {
    className?: string;
    error?: string;
    value: string;
    max?: number;
    min?: number;
    disabled?: boolean;
    noControls?: boolean;
    onChange: (value: string) => void;
    noDataFallbackText?: string;
};
export declare const NumericInput: React.FC<React.PropsWithChildren<NumericInputProps>>;
