import { IPickerListItem } from '../types';
import * as React from 'react';
interface IPickerListItemProps {
    index: number;
    isActive: boolean;
    isSelected: boolean;
    numberOfItems: number;
    listElementsRef: React.MutableRefObject<(HTMLElement | null)[]>;
    onSelect: (key: string) => void;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
    item: IPickerListItem;
}
export declare const PickerListItem: React.FC<IPickerListItemProps>;
export {};
