import { Size } from '../../../utils';
import * as React from 'react';
export interface PickerTriggerProps {
    setReference: (element: HTMLElement | null) => void;
    getReferenceProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
    testId?: string;
    size?: Size;
    isMultiSelect?: boolean;
    isItemSelected: boolean;
    hideClearButton?: boolean;
    isDisabled?: boolean;
    isRequired?: boolean;
    isError?: boolean;
    isOpen: boolean;
    onClear: () => void;
    setTriggerFocus: (v: boolean) => void;
    onToggle: () => void;
}
export declare const PickerTrigger: React.FC<React.PropsWithChildren<PickerTriggerProps>>;
