import { ProductName, ProductData, ProductId, ProductOption, ProductSubscription, Env } from './types';

export declare const getRedirectURL: (productClientId: string, productRedirectUri: string, organizationId: string, mainProductId: ProductId, env: Env) => string;
export declare const getTrialDaysLeft: (trialEnd: string) => number;
export declare const isVisibleProduct: (productId: ProductId, installedProducts: {
    product: ProductName;
}[]) => boolean;
export declare const createProductOption: (product: ProductOption, redirectData: ProductData[], subscriptions: ProductSubscription, organizationId: string, mainProductId: ProductId, env: Env) => ProductOption;
export declare const getRedirectDataByEnv: (env: Env) => ProductData[];
export declare const getUtmSource: (env: Env, mainProductId: ProductId) => string | undefined;
