import { ProgressSize, ProgressStatus } from './constants';
import * as React from 'react';
export interface ProgressBarProps {
    /**
     * The CSS class for container
     */
    className?: string;
    /**
     * Specify the value of current progress bar (0-100)
     */
    percent: number;
    /**
     * Specify the progress bar status
     */
    status?: ProgressStatus;
    /**
     * Specify the progress bar size
     */
    size?: ProgressSize;
}
export declare const ProgressBar: React.ExoticComponent<ProgressBarProps & React.RefAttributes<HTMLInputElement>>;
