import * as React from 'react';
export interface ISkeletonAvatar {
    /**
     * Specify if the element is square shape
     */
    square?: boolean;
    /**
     * Specify the size of the element (wdith and height in px)
     */
    size?: number;
    /**
     * Specify if the animation is enabled
     */
    animated?: boolean;
}
export declare const SkeletonAvatar: React.FC<ISkeletonAvatar>;
