import * as React from 'react';
export interface ISkeletonText {
    /**
     * Specify the height of the element
     */
    height?: number;
    /**
     * Specify the width of the element
     */
    width?: number;
    /**
     * Specify if the animation is enabled
     */
    animated?: boolean;
}
export declare const SkeletonText: React.FC<ISkeletonText>;
