import { Column } from './types';

interface TableBodyProps<T> {
    data: T[];
    columns: Column<T>[];
    getRowId: (row: T) => string | number;
    columnWidths: (number | undefined)[];
    selectable?: boolean;
    isSelected: (id: string | number) => boolean;
    toggleRowSelection: (id: string | number) => void;
}
export declare const TableBody: <T>({ data, columns, getRowId, columnWidths, selectable, isSelected, toggleRowSelection, }: TableBodyProps<T>) => import("react/jsx-runtime").JSX.Element;
export {};
