import { TagProps } from '../../Tag';
import * as React from 'react';
export interface EditableTagProps extends React.HTMLAttributes<HTMLDivElement> {
    inputRef: React.RefObject<HTMLInputElement>;
    index: number;
    update: (idx: number, value: string) => void;
    remove: (idx: number) => void;
    validator?: (val: string) => boolean;
    children: string;
    size: 'medium' | 'large';
    tagProps?: TagProps;
}
export declare const EditableTag: React.FC<React.PropsWithChildren<EditableTagProps>>;
