import { ToastProps, Toast } from './Toast';
import * as React from 'react';
type HorizontalPosition = 'left' | 'center' | 'right';
type VerticalPosition = 'top' | 'bottom';
export declare const ANIMATION_TIME = 200;
interface Toast extends Omit<ToastProps, 'content'> {
    id: string;
    content: React.ReactElement | string;
}
export interface ToastWrapperProps {
    className?: string;
    toasts: Toast[];
    fixed?: boolean;
    block?: boolean;
    animationType?: string;
    verticalPosition?: VerticalPosition;
    horizontalPosition?: HorizontalPosition;
}
export declare const ToastWrapper: React.FC<ToastWrapperProps>;
export {};
