import { CSSProperties } from 'react';
import { IconKind } from '../Icon';
import { TooltipTheme } from './types';

export declare function getIconType(theme: TooltipTheme): IconKind;
export declare function getArrowPositionStyles(arrowOffsetY?: number, arrowOffsetX?: number, arrowY?: number, arrowX?: number): CSSProperties | undefined;
export declare const getArrowTokens: (tooltipStyle: string | undefined) => {
    stroke: string;
    fill: string;
};
