import { TDisplaySize, TTextAlign } from './types';
import * as React from 'react';
interface IProps {
    /** Size of the text */
    size?: TDisplaySize;
    /** DOM element name that will be rendered */
    as?: string;
    /** Optional custom className */
    className?: string;
    /** Optional prop to set the custom color */
    customColor?: string;
    /** Optional prop to set the text align */
    textAlign?: TTextAlign;
    /** Optional prop to set the bold */
    bold?: boolean;
}
export declare const Display: React.FC<React.PropsWithChildren<IProps>>;
export {};
