import { THeadingSize, TTextAlign } from './types';
import * as React from 'react';
interface IProps extends React.HTMLAttributes<HTMLElement> {
    size?: THeadingSize;
    /** DOM element name that will be rendered */
    as?: string;
    /** Optional custom className */
    className?: string;
    /** Optional prop to set the uppercase */
    uppercase?: boolean;
    /** Optional prop to set the bold */
    bold?: boolean;
    /** Optional prop to set the custom color */
    customColor?: string;
    /** Optional prop to set the text align */
    textAlign?: TTextAlign;
}
export declare const Heading: React.FC<React.PropsWithChildren<IProps>>;
export {};
