import { ReactNode, FC } from 'react';

interface ReadOnlyFormFieldContextValue {
    readOnly: boolean;
    isEmpty: boolean;
    setIsEmpty: (isEmpty: boolean) => void;
}
declare const ReadOnlyFormFieldContext: import('react').Context<ReadOnlyFormFieldContextValue>;
export interface ReadOnlyFormFieldContextProps {
    readOnly?: boolean;
    children?: ReactNode;
    defaultIsEmpty?: boolean;
}
export declare const ReadOnlyFormFieldContextProvider: FC<ReadOnlyFormFieldContextProps>;
export declare const useReadOnlyFormFieldContext: () => ReadOnlyFormFieldContextValue;
export default ReadOnlyFormFieldContext;
